
From: Adrian Bunk <bunk@stusta.de>

This patch makes a needlessly global struct static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/shmem.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/shmem.c~mm-shmemc-make-a-struct-static mm/shmem.c
--- 25/mm/shmem.c~mm-shmemc-make-a-struct-static	2005-01-22 23:17:55.859594616 -0800
+++ 25-akpm/mm/shmem.c	2005-01-22 23:17:55.865593704 -0800
@@ -2170,7 +2170,7 @@ static int shmem_xattr_security_set(stru
 	return security_inode_setsecurity(inode, name, value, size, flags);
 }
 
-struct xattr_handler shmem_xattr_security_handler = {
+static struct xattr_handler shmem_xattr_security_handler = {
 	.prefix	= XATTR_SECURITY_PREFIX,
 	.list	= shmem_xattr_security_list,
 	.get	= shmem_xattr_security_get,
_
